[arch-commits] Commit in intel-537/trunk (3 files)

Tobias Powalowski tpowa at archlinux.org
Sat Feb 27 15:24:06 UTC 2010


    Date: Saturday, February 27, 2010 @ 10:24:06
  Author: tpowa
Revision: 70609

upgpkg: intel-537 2.60.80.0-66
rebuild against .33 kernel

Added:
  intel-537/trunk/kernel-2.6.33.patch
Modified:
  intel-537/trunk/PKGBUILD
  intel-537/trunk/intel-537.install

---------------------+
 PKGBUILD            |   15 +++++++++------
 intel-537.install   |    4 ++--
 kernel-2.6.33.patch |   40 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 51 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-02-27 15:22:34 UTC (rev 70608)
+++ PKGBUILD	2010-02-27 15:24:06 UTC (rev 70609)
@@ -1,24 +1,26 @@
 # $Id$
 # Maintainer : Tobias Powalowski <tpowa at archlinux.org>
 
-_kernver=2.6.32-ARCH;
+_kernver=2.6.33-ARCH;
 
 pkgname=intel-537
 pkgver=2.60.80.0
-pkgrel=65
+pkgrel=66
 pkgdesc="Intel Modem Drivers for 537 chipsets. For stock arch 2.6 kernel"
 arch=(i686 x86_64)
 license=('custom:"INTEL537"')
 url="http://linmodems.technion.ac.il/packages/Intel/"
-depends=('intel-537-utils' 'kernel26>=2.6.32.3' 'kernel26<2.6.33')
-makedepends=('kernel26-headers>=2.6.32' 'kernel26-headers<2.6.33')
+depends=('intel-537-utils' 'kernel26>=2.6.33' 'kernel26<2.6.34')
+makedepends=('kernel26-headers>=2.6.33' 'kernel26-headers<2.6.34')
 source=(http://linmodems.technion.ac.il/packages/intel/Philippe.Vouters/intel-536EP-537EP_2009_07_04.tar.bz2
-        kernel-2.6.31.patch)
+        kernel-2.6.31.patch
+        kernel-2.6.33.patch)
 install=intel-537.install
 
 build() {
   cd $srcdir/intel-536-537
   patch -Np0 -i ../kernel-2.6.31.patch || return 1
+  patch -Np0 -i ../kernel-2.6.33.patch || return 1
   # fix makefile
   sed -i -e "s/\`uname -r\`/${_kernver}/g" makefile
   sed -i -e "s/\`uname -r\`/${_kernver}/g" config_check
@@ -28,4 +30,5 @@
   sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" $startdir/intel-537.install
 }
 md5sums=('dfea7456fd1b7a6cbf18cdd8ff69e1e7'
-         '0de9e6359610264a63754b39846aa178')
+         '0de9e6359610264a63754b39846aa178'
+         'c23dbe78cc43064628d2b6599a0827e8')

Modified: intel-537.install
===================================================================
--- intel-537.install	2010-02-27 15:22:34 UTC (rev 70608)
+++ intel-537.install	2010-02-27 15:24:06 UTC (rev 70609)
@@ -8,7 +8,7 @@
 
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.32-ARCH
+  KERNEL_VERSION=2.6.33-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
 echo
 echo
@@ -30,7 +30,7 @@
   rm /etc/hamregistry.bin
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.32-ARCH
+  KERNEL_VERSION=2.6.33-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
 }
 

Added: kernel-2.6.33.patch
===================================================================
--- kernel-2.6.33.patch	                        (rev 0)
+++ kernel-2.6.33.patch	2010-02-27 15:24:06 UTC (rev 70609)
@@ -0,0 +1,40 @@
+--- config_check~	2010-02-27 16:18:10.000000000 +0100
++++ config_check	2010-02-27 16:18:10.000000000 +0100
+@@ -36,7 +36,7 @@
+ echo "   Current running kernel is: $KERNVER"
+ 
+ 
+-if [ -a /lib/modules/$KERNVER/build/include/linux/autoconf.h ]; then
++if [ -a /lib/modules/$KERNVER/build/include/generated/autoconf.h ]; then
+    echo "   /lib/modules...   autoconf.h exists"
+ else
+    echo "   /lib/modules...   autoconf.h does not exist"
+@@ -44,7 +44,7 @@
+    exit 1
+ fi
+ 
+-if [ "`diff /boot/vmlinuz.autoconf.h /lib/modules/$KERNVER/build/include/linux/autoconf.h`" \
++if [ "`diff /boot/vmlinuz.autoconf.h /lib/modules/$KERNVER/build/include/generated/autoconf.h`" \
+     == "" ]; then
+    echo "   autoconf.h matches running kernel"
+ else
+@@ -61,7 +61,7 @@
+    echo  configurations to create a functional driver for this kernel.
+    echo  call \"make config_sync\" and this script will
+    echo  copy the file /boot/vmlinuz.autoconf.h to 
+-   echo  /lib/modules/$KERNVER/build/include/linux/autoconf.h
++   echo  /lib/modules/$KERNVER/build/include/generated/autoconf.h
+    echo  and backup the original autoconf.h as autoconf.bak
+    echo  The same will be done for version.h
+    echo  Then repeat the build and installation procedure over again.
+--- coredrv/hamdefs.h~	2010-02-27 16:20:58.000000000 +0100
++++ coredrv/hamdefs.h	2010-02-27 16:20:58.000000000 +0100
+@@ -51,7 +51,7 @@
+    #define EXPORT_SYMTAB
+    #include<linux/version.h>
+ #if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,18)
+-   #include<linux/autoconf.h>
++   #include<generated/autoconf.h>
+ #else
+    #include<linux/config.h>
+ #endif




More information about the arch-commits mailing list